## rust-sha1collisiondetection 0.2.3

=== debian/changelog ===
rust-sha1collisiondetection (0.2.3-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.3 from crates.io using debcargo 2.4.3
  * Closes: #977421

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Dec 2020 12:27:39 -0500

rust-sha1collisiondetection (0.2.2-2) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.2 from crates.io using debcargo 2.4.3
  * No-op source-only re-upload for Debian Testing Migration.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 Dec 2020 22:25:34 -0500

rust-sha1collisiondetection (0.2.2-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.2 from crates.io using debcargo 2.4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Dec 2020 17:54:35 -0500
