=== debian/control ===
Source: rust-sha1collisiondetection
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-libc-0.2+default-dev,
 librust-structopt-0.3+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha1collisiondetection]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha1collisiondetection

Package: librust-sha1collisiondetection-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-libc-0.2+default-dev,
 librust-structopt-0.3+default-dev
Provides:
 librust-sha1collisiondetection+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3+std-dev (= ${binary:Version})
Description: SHA-1 hash function with collision detection and mitigation - Rust source code
 This package contains the source for the Rust sha1collisiondetection crate,
 packaged by debcargo for use with cargo and dh-cargo.

Package: sha1cdsum
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: SHA-1 hash function with collision detection and mitigation
 This package contains the following binaries built from the Rust crate
 "sha1collisiondetection":
  - sha1cdsum
