=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.3 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), librust-getrandom-0.1+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.3 --all-targets --no-default-features
Features: test-name=librust-sha1collisiondetection-dev
Depends: dh-cargo (>= 18), librust-getrandom-0.1+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
