## rust-sha1collisiondetection 0.2.5

=== debian/changelog ===
rust-sha1collisiondetection (0.2.5-2) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.5 from crates.io using debcargo 2.5.0
  * Update summary and description of sha1cdsum binary package
  * Move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 05 Feb 2022 20:30:22 -0500

rust-sha1collisiondetection (0.2.5-1) experimental; urgency=medium

  * Package sha1collisiondetection 0.2.5 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Jan 2022 15:43:53 -0500
