## rust-sha1collisiondetection 0.2.6

=== debian/changelog ===
rust-sha1collisiondetection (0.2.6-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.6 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Oct 2022 12:10:01 -0400
