=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
  librust-sha1collisiondetection-0.2-dev (= ${binary:Version}),
  librust-sha1collisiondetection-0.2+default-dev (= ${binary:Version}),
  librust-sha1collisiondetection-0.2+std-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5+default-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5+std-dev (= ${binary:Version})
+ librust-sha1collisiondetection-0.2.6-dev (= ${binary:Version}),
+ librust-sha1collisiondetection-0.2.6+default-dev (= ${binary:Version}),
+ librust-sha1collisiondetection-0.2.6+std-dev (= ${binary:Version})
 Description: SHA-1 hash function with collision detection and mitigation - Rust source code
  This package contains the source for the Rust sha1collisiondetection crate,
  packaged by debcargo for use with cargo and dh-cargo.
