=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --all-features
Features: test-name=rust-sha1collisiondetection:@
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets 
Features: test-name=librust-sha1collisiondetection-dev:default
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --no-default-features --features std
Features: test-name=librust-sha1collisiondetection-dev:std
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --no-default-features
Features: test-name=librust-sha1collisiondetection-dev:
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
