## rust-sha1collisiondetection 0.3.2

=== debian/changelog ===
rust-sha1collisiondetection (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * Package sha1collisiondetection 0.3.2 from crates.io using debcargo 2.6.0

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 19 Nov 2023 14:31:39 +0100

rust-sha1collisiondetection (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Package sha1collisiondetection 0.2.7 from crates.io using debcargo 2.6.0
    + New upstream fixes unaligned access error.
  * Bump dev-dependency on hex-literal.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 10 Oct 2023 00:25:31 +0000
