=== debian/control ===
Source: rust-sha1collisiondetection
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-digest-0.10+default-dev,
 librust-digest-0.10+std-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha1collisiondetection]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha1collisiondetection
X-Cargo-Crate: sha1collisiondetection
Rules-Requires-Root: no

Package: librust-sha1collisiondetection-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-mangen-0.2-dev,
 librust-const-oid-0.9-dev,
 librust-digest-0.10+default-dev,
 librust-digest-0.10+std-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev
Provides:
 librust-sha1collisiondetection+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+std-dev (= ${binary:Version})
Description: SHA-1 hash function with collision detection and mitigation - Rust source code
 This package contains the source for the Rust sha1collisiondetection crate,
 packaged by debcargo for use with cargo and dh-cargo.

Package: sha1cdsum
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Calculate SHA1 checksums with collision detection
 Print or check SHA1 checksums while defending against well-known
 collision attacks.
 .
 This program offers a drop-in replacement for coreutils' sha1sum
 in most cases, but one that is not vulnerable to a specific,
 well-known cryptographic weakness in SHA1.
