=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --all-features
Features: test-name=rust-sha1collisiondetection:@
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features clap
Features: test-name=librust-sha1collisiondetection-dev:clap
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features clap_mangen
Features: test-name=librust-sha1collisiondetection-dev:clap_mangen
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features const-oid
Features: test-name=librust-sha1collisiondetection-dev:const-oid
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets
Features: test-name=librust-sha1collisiondetection-dev:default
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features digest
Features: test-name=librust-sha1collisiondetection-dev:digest
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features digest-trait
Features: test-name=librust-sha1collisiondetection-dev:digest-trait
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features oid
Features: test-name=librust-sha1collisiondetection-dev:oid
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable
